Bug 1792313

Summary: Review Request: php-laminas-crypt - Laminas Framework Crypt component
Product: [Fedora] Fedora Reporter: Remi Collet <fedora>
Component: Package ReviewAssignee: Robert-André Mauchin 🐧 <zebob.m>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-01-24 07:44:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1792281, 1792312    
Bug Blocks: 1792315    

Description Remi Collet 2020-01-17 14:00:02 UTC
Spec URL: https://git.remirepo.net/cgit/rpms/php/laminas/php-laminas-crypt.git/plain/php-laminas-crypt.spec?id=58ca8998004936e2196c35ebea28fd663eceedf7
SRPM URL: http://rpms.remirepo.net/SRPMS/php-laminas-crypt-3.3.1-2.remi.src.rpm
Description: 
laminas-crypt provides support of some cryptographic tools.
The available features are:
* encrypt-then-authenticate using symmetric ciphers
  (the authentication step is provided using HMAC);
* encrypt/decrypt using symmetric and public key algorithm
  (e.g. RSA algorithm);
* generate digital sign using public key algorithm (e.g. RSA algorithm);
* key exchange using the Diffie-Hellman method;
* key derivation function (e.g. using PBKDF2 algorithm);
* secure password hash (e.g. using Bcrypt algorithm);
* generate Hash values;
* generate HMAC values;

The main scope of this component is to offer an easy and secure way
to protect and authenticate sensitive data in PHP.

Documentation: https://docs.laminas.dev/laminas-crypt/


Fedora Account System Username: remi

Comment 1 Robert-André Mauchin 🐧 2020-01-22 19:19:41 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Tests are ok
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-01-23 14:12:26 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/php-laminas-crypt

Comment 3 Remi Collet 2020-01-24 07:44:08 UTC
Thanks,

Built